using System;

namespace Takmicenje20
{
    class Program
    {
        static void Main(string[] args)
        {
            string sr = Console.ReadLine();
            int ind = 0;
            string[] r = Console.ReadLine().Split();
            for (int i = 0; i < int.Parse(sr[0].ToString()); i++)
            {
                if (int.Parse(r[i]) == int.Parse(sr[2].ToString())) ind = i;
            }
            if (ind == int.Parse(sr[0].ToString()) - 1) Console.WriteLine(r[0]);
            else Console.WriteLine(r[ind + 1]);
        }
    }
}